> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Secrets

Returns all Secrets associated with your team, or an empty array if none have been created.

## Query Parameters

## Returns

Returns a list of Secret objects. The `value` field is redacted in the response.

```bash cURL theme={null}
curl https://production.methodfi.com/secrets \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const secrets = await method.secrets.list();
```

```python Python theme={null}
secrets = method.secrets.list()
```

```json theme={null}
{
  "data": [
    {
      "id": "sec_au22b1fbFrmfp",
      "metadata": {},
      "created_at": "2025-12-04T18:50:54.024Z",
      "updated_at": "2025-12-04T18:50:54.024Z",
      "status": "active"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.